# Subroutine init
Keywords: userhtml

Next: Subroutine set Up: User Interface Previous: User Interface Contents

##
Subroutine init

`call p%init(ptype,info)`

This routine allocates and initializes the preconditioner `p`, according to the preconditioner type chosen by the user.

Arguments

`ptype` | `character(len=*), intent(in)`.
| The type of preconditioner. Its values are specified in Table 1.
| Note that the strings are case insensitive.
`info` | `integer, intent(out)`.
| Error code. If no error, 0 is returned. See Section 8 for details.

For compatibility with the previous versions of MLD2P4, this routine can be also invoked as follows:

`call mld_precinit(p,ptype,info)`

Next: Subroutine set Up: User Interface Previous: User Interface Contents